import 'package:get/get.dart';
import 'package:traderscircuit/Utils/Common/noInternet.dart';
import 'package:traderscircuit/resources/routes/route_name.dart';
import 'package:traderscircuit/view/MainScreen/ExploreUnseen.dart';
import 'package:traderscircuit/view/Sidemenu/AboutUs.dart';
import 'package:traderscircuit/view/Sidemenu/ContentByte/ContentBytes.dart';
import 'package:traderscircuit/view/Sidemenu/ContentByte/AudioMore.dart';
import 'package:traderscircuit/view/Sidemenu/ContentByte/ReadMore.dart';
import 'package:traderscircuit/view/Sidemenu/ContentByte/VideosMore.dart';
import 'package:traderscircuit/view/Sidemenu/FaqScreen.dart';
import 'package:traderscircuit/view/Sidemenu/PrivacyPolicy.dart';
import 'package:traderscircuit/view/Sidemenu/Settings.dart';
import 'package:traderscircuit/view/Sidemenu/TermsAndCondition.dart';
import 'package:traderscircuit/view/Sidemenu/contactUs/contact_us_main.dart';
import 'package:traderscircuit/view/Sidemenu/myProfile/my_profile_screen.dart';

import 'package:traderscircuit/view/login/AddDetails.dart';
import 'package:traderscircuit/view/login/Kyc.dart';

import 'package:traderscircuit/view/MainScreen/HomeScreen.dart';
import 'package:traderscircuit/view/MainScreen/MainScreen.dart';
import 'package:traderscircuit/view/MainScreen/Notification.dart';
import 'package:traderscircuit/view/MainScreen/ShortTrade.dart';
import 'package:traderscircuit/view/Sidemenu/Sidemenu.dart';

import 'package:traderscircuit/view/login/LoginScreen.dart';
import 'package:traderscircuit/view/login/UpdateRiskProfile.dart';
import 'package:traderscircuit/view/login/VerifyOtp.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen1.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen2.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen3.dart';
import 'package:traderscircuit/view/secureAccess.dart/Faceid.dart';
import 'package:traderscircuit/view/secureAccess.dart/Fingerprint.dart';
import 'package:traderscircuit/view/secureAccess.dart/Pin.dart';
import 'package:traderscircuit/view/secureAccess.dart/SecureAccess.dart';

import '../../view/Sidemenu/contactUs/contact_us_details.dart';
import '../../view/login/uploadKycImage.dart';

class AppRoutes {
  static appRoutes() => [
        GetPage(
          name: RouteName.splashScreen,
          page: () => const SplashScreen(),
        ),
        GetPage(
          name: RouteName.nointernet,
          page: () => const NoInternet(),
        ),

        //slidescreen
        GetPage(
          name: RouteName.sliderscreen1,
          page: () => const Sliderscreen1(),
        ),
        GetPage(
          name: RouteName.sliderscreen2,
          page: () => const Sliderscreen2(),
        ),
        GetPage(
          name: RouteName.sliderscreen3,
          page: () => const Sliderscreen3(),
        ),

        //login/signup
        GetPage(
          name: RouteName.loginscreen,
          page: () => const LoginScreen(),
        ),
        GetPage(
          name: RouteName.homescreen,
          page: () => const HomeScreen(),
        ),
        GetPage(
          name: RouteName.sidemenu,
          page: () => const SideMenu(),
        ),
        GetPage(
          name: RouteName.mainscreen,
          page: () => const MainScreen(),
        ),
        GetPage(
          name: RouteName.shortTrade,
          page: () => const ShortTrade(),
        ),
        GetPage(
          name: RouteName.verifyotp,
          page: () => const VerifyOTP(),
        ),

        //secureaccess
        GetPage(
          name: RouteName.secureaccess,
          page: () => const SecureAccess(),
        ),
        GetPage(
          name: RouteName.faceid,
          page: () => const Faceid(),
        ),
        GetPage(
          name: RouteName.fingerprint,
          page: () => const Fingerprint(),
        ),
        GetPage(
          name: RouteName.pin,
          page: () => const Pin(),
        ),
        GetPage(
          name: RouteName.notification,
          page: () => const NotificationScreen(),
        ),
        GetPage(
          name: RouteName.exploreUnseen,
          page: () => const ExploreUnseen(),
        ),
        //add details
        GetPage(
          name: RouteName.adddetails,
          page: () => const AddDetails(),
        ),

        //kyc
        GetPage(
          name: RouteName.kyc,
          page: () => const Kyc(),
        ),
        GetPage(
          name: RouteName.kycImage,
          page: () => const UploadKYCImage(),
        ),

        //update risk profile
        GetPage(
          name: RouteName.updateriskprofile,
          page: () => const UpdateRiskProfile(),
        ),

        //sidemenu
        GetPage(
          name: RouteName.termsandcondition,
          page: () => const TermsAndConditions(),
        ),
        GetPage(
          name: RouteName.privacypolicy,
          page: () => const PrivacyPolicy(),
        ),
        GetPage(
          name: RouteName.aboutus,
          page: () => const AboutUs(),
        ),
        GetPage(
          name: RouteName.faqscreen,
          page: () => const FaqScreen(),
        ),

        GetPage(
          name: RouteName.settings,
          page: () => const Settings(),
        ),
        GetPage(
          name: RouteName.contentbytes,
          page: () => const ContentBytes(),
        ),

        //content byte
        GetPage(
          name: RouteName.videosmore,
          page: () => const VideosMore(),
        ),
        GetPage(
          name: RouteName.audiomore,
          page: () => const AudioMore(),
        ),
        GetPage(
          name: RouteName.bookmore,
          page: () => const ReadMore(),
        ),

        //contact us
        GetPage(
          name: RouteName.contactUsMain,
          page: () => const ContactUsMainScreen(),
        ),
        GetPage(
          name: RouteName.contactUsMainDetails,
          page: () => const ContactUsDetailsScreen(),
        ),
        //my profile
        GetPage(
          name: RouteName.myProfileScreen,
          page: () => const MyProfileScreen(),
        )
      ];
}
